Get dataset schema
curl --request GET \
--url https://api.withsplendor.com/v1/datasets/{dataset_id}/schema \
--header 'Authorization: Bearer <token>' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>'import requests
url = "https://api.withsplendor.com/v1/datasets/{dataset_id}/schema"
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.withsplendor.com/v1/datasets/{dataset_id}/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"analyzer_version": "v3",
"dataset_id": "app-logs",
"exact_shape_count": 3,
"generated_at": "2026-01-15T09:30:00Z",
"object_families": [
{
"document_count": 1240000,
"object_type_id": "log_event",
"observed_variants": [
{
"document_count": 1240000,
"schema": {
"latency_ms": "i64",
"message": "text"
},
"shape_hash": "a1b2c3"
}
],
"schema": {
"latency_ms": "i64",
"message": "text"
},
"shape_hashes": [
"a1b2c3"
]
}
],
"revision": 4,
"total_document_count": 1240000
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Datasets & schema
Get dataset schema
Returns the fields Splendor has inferred for a dataset, including their types and indexing. Use the schema to learn which fields you can filter, aggregate, and project in SQL search.
GET
/
v1
/
datasets
/
{dataset_id}
/
schema
Get dataset schema
Authorizations
API token issued from the Splendor console.
Headers
Selects the tenant (workspace) the request acts within.
Path Parameters
Response
Successful Response
⌘I